TONTONDocs
TON CenterV2Blocks

applications/api/toncenter/v2/blocks/get-masterchain-block-signatures

GET
/api/v2/getMasterchainBlockSignatures

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

seqno*integer

Masterchain block sequence number (block height). Used to query state at a specific point in time. If omitted, returns the current state.

Formatint32

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getMasterchainBlockSignatures?seqno=0"
{
  "ok": true,
  "result": {
    "@type": "blocks.blockSignatures",
    "id": {
      "@type": "ton.blockIdExt",
      "workchain": 0,
      "shard": "string",
      "seqno": 0,
      "root_hash": "string",
      "file_hash": "string"
    },
    "signatures": [
      {
        "@type": "blocks.signature",
        "node_id_short": "string",
        "signature": "string"
      }
    ]
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "workchain required"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on